Bug 1634447 - Update to latest version
Summary: Update to latest version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-dash-to-dock
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-30 20:32 UTC by louisgtwo
Modified: 2018-12-30 03:11 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-extension-dash-to-dock-64-1.fc29 gnome-shell-extension-dash-to-dock-64-1.fc28 gnome-shell-extension-dash-to-dock-64-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-23 02:52:40 UTC
Type: Bug


Attachments (Terms of Use)

Description louisgtwo 2018-09-30 20:32:33 UTC
fedora 29 beta is currently at v61.  gnome 3.30 requires v64

Comment 1 Boyd 2018-11-03 17:35:10 UTC
it was kinda trivial to do this on _copr.   (right up my alley)
https://copr.fedorainfracloud.org/coprs/boydkelly/Desktop/packages/


I would be interested in getting my toes wet and helping to maintain something.  I just need to be pointed in the right direction to start.  

bk

Comment 2 Michael DePaulo 2018-11-15 23:33:08 UTC
On RHEL 7.6 (& presumably Fedora 28) with GNOME 3.28, this old version (61) throws errors at least. 

gnome-shell[26228]: JS WARNING: [/home/sdu/.local/share/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/docking.js 1275]: reference to undefined property "_optionalScrollWorkspaceSwitchDeadTimeId"
(Yes it is installed to t he user's home dir, but it is still version 61, so this bug should still apply.)

Upstream states it isn't compatible with 3.26, as indicated by metadata.json.

I am an existing Fedora package maintainer & I offer to co-maintain.

Comment 3 Michael DePaulo 2018-11-16 00:00:17 UTC
I created a Pull Request in Pagure:
https://src.fedoraproject.org/rpms/gnome-shell-extension-dash-to-dock/pull-request/1

Comment 4 Fedora Update System 2018-12-13 14:16:01 UTC
gnome-shell-extension-dash-to-dock-64-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31d36b9362

Comment 5 Fedora Update System 2018-12-13 14:16:04 UTC
gnome-shell-extension-dash-to-dock-64-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cbefe4948

Comment 6 Fedora Update System 2018-12-13 14:16:07 UTC
gnome-shell-extension-dash-to-dock-64-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-22a27138bd

Comment 7 Fedora Update System 2018-12-15 03:19:31 UTC
gnome-shell-extension-dash-to-dock-64-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31d36b9362

Comment 8 Fedora Update System 2018-12-23 02:52:40 UTC
gnome-shell-extension-dash-to-dock-64-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-12-23 19:10:15 UTC
gnome-shell-extension-dash-to-dock-64-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-12-30 03:11:46 UTC
gnome-shell-extension-dash-to-dock-64-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.